# TODO:
# - split -libs (-n libvips)
# - python package (-n python-vipsCC)
# - gir stuff belongs to what package?
Summary:	A fast image processing library with low memory needs
Summary(pl.UTF-8):	Biblioteka przetwarzania obrazów
Name:		vips
Version:	8.5.9
Release:	2
License:	LGPL
Group:		Libraries
Source0:	https://github.com/jcupitt/libvips/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b8639ec0b05dfa17deca50007895963a
URL:		http://jcupitt.github.io/libvips/
BuildRequires:	ImageMagick-devel >= 1:6.2.4.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	fftw3-devel >= 3.0.0
BuildRequires:	glib2-devel >= 2.4.0
BuildRequires:	imlib-devel
BuildRequires:	intltool
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libltdl-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pango-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.32
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libvips is a demand-driven, horizontally threaded image processing
library. Compared to similar libraries, libvips runs quickly and uses
little memory.

It has around 300 operations covering arithmetic, histograms,
convolution, morphological operations, frequency filtering, colour,
resampling, statistics and others. It supports a large range of
numeric formats, from 8-bit int to 128-bit complex. Images can have
any number of bands. It supports a good range of image formats,
including JPEG, TIFF, OME-TIFF, PNG, WebP, FITS, Matlab, OpenEXR, PDF,
SVG, HDR, PPM, CSV, GIF, Analyze, DeepZoom, and OpenSlide. It can also
load images via ImageMagick or GraphicsMagick, letting it load formats
like DICOM.

%description -l pl.UTF-8
VIPS jest biblioteką przetwarzania obrazów. Jest dobra dla bardzo
dużych obrazów (to znaczy większych niż ilość RAM w komputerze), oraz
do pracy z kolorami. Zawiera API w C++, kompletne strony pomocy man,
interfejs linii poleceń, automatyczne wątkowanie i bazę danych
operacji. Jest kilka interfejsów użytkownika zbudowanych na podstawie
VIPS, na przykład "nip".

%package devel
Summary:	Header files for vips library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki vips
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for vips library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki vips.

%package static
Summary:	Static vips library
Summary(pl.UTF-8):	Statyczna biblioteka vips
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static vips library.

%description static -l pl.UTF-8
Statyczna biblioteka vips.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libvips-cpp.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libvips.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libvipsCC.la
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/vipsCC/*.la
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/vipsCC/*.a

rm -r $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/libvips

%py_postclean

%find_lang vips8.5 -o %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS THANKS TODO
%attr(755,root,root) %{_bindir}/batch_crop
%attr(755,root,root) %{_bindir}/batch_image_convert
%attr(755,root,root) %{_bindir}/batch_rubber_sheet
%attr(755,root,root) %{_bindir}/light_correct
%attr(755,root,root) %{_bindir}/shrink_width
%attr(755,root,root) %{_bindir}/vips
%attr(755,root,root) %{_bindir}/vips-8.5
%attr(755,root,root) %{_bindir}/vipsedit
%attr(755,root,root) %{_bindir}/vipsheader
%attr(755,root,root) %{_bindir}/vipsprofile
%attr(755,root,root) %{_bindir}/vipsthumbnail
%attr(755,root,root) %{_libdir}/libvips-cpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvips-cpp.so.42
%attr(755,root,root) %{_libdir}/libvips.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvips.so.42
%attr(755,root,root) %{_libdir}/libvipsCC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvipsCC.so.42
%{_libdir}/girepository-1.0/Vips-8.0.typelib
%{_datadir}/gir-1.0/Vips-8.0.gir
%{_mandir}/man1/batch_crop.1*
%{_mandir}/man1/batch_image_convert.1*
%{_mandir}/man1/batch_rubber_sheet.1*
%{_mandir}/man1/light_correct.1*
%{_mandir}/man1/vips.1*
%{_mandir}/man1/vipsedit.1*
%{_mandir}/man1/vipsheader.1*
%{_mandir}/man1/vipsprofile.1*
%{_mandir}/man1/vipsthumbnail.1*

%dir %{py_sitedir}/vipsCC
%{py_sitedir}/vipsCC/*.py[co]
%attr(755,root,root) %{py_sitedir}/vipsCC/vdisplaymodule.so
%attr(755,root,root) %{py_sitedir}/vipsCC/verrormodule.so
%attr(755,root,root) %{py_sitedir}/vipsCC/vimagemodule.so
%attr(755,root,root) %{py_sitedir}/vipsCC/vmaskmodule.so
%{py_sitedir}/gi/overrides/Vips.py[co]

%files devel
%defattr(644,root,root,755)
%{_libdir}/libvips-cpp.so
%{_libdir}/libvips.so
%{_libdir}/libvipsCC.so
%{_includedir}/vips
%{_pkgconfigdir}/vips-cpp.pc
%{_pkgconfigdir}/vips.pc
%{_pkgconfigdir}/vipsCC.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libvips-cpp.a
%{_libdir}/libvips.a
%{_libdir}/libvipsCC.a
%changelog
* Tue Dec 26 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vips.git;a=log;h=master

* Tue Dec 26 2017 Jan Rękorajski <baggins@pld-linux.org> ca5cf10
- release 2 (by relup.sh)

* Sat Oct 28 2017 Elan Ruusamäe <glen@pld-linux.org> ae8a567
- up to 8.5.9; homepage in github

* Sun Jan 18 2009 duddits <duddits@pld-linux.org> 4824246
- up to 7.16.4 (this is now latest supported version)
- more %files
- *.py cleaning
- %find_lang macro used

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> bdd9851
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 86727f3
- converted to UTF-8

* Wed Apr 05 2006 hawk <hawk@pld-linux.org> 5519372
- release 3 (rebuild with new ImageMagick)

* Mon Oct 03 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> c0a6430
- br new imagemagick

* Mon Jun 27 2005 undefine <undefine@pld-linux.org> 5cc02ad
- up to 7.10.10

* Thu Jan 20 2005 paladine <paladine@pld-linux.org> 1f5368a
- updated to 7.10.8, STBR

* Sat Dec 11 2004 Adam Gołębiowski <adamg@pld-linux.org> 55823ba
- BuildRequires: intltool

* Sat Dec 11 2004 Adam Gołębiowski <adamg@pld-linux.org> c4c9280
- updated to 7.10.7

* Sat Dec 11 2004 ankry <ankry@pld-linux.org> fc969b1
- rel. 2

* Mon Nov 08 2004 Jakub Bogusz <qboosh@pld-linux.org> a820c93
- some BRed versions, removed some only indirectly used BRs

* Mon Nov 08 2004 Jakub Bogusz <qboosh@pld-linux.org> 3cae8a2
- cleanups, pl fix

* Sun Nov 07 2004 undefine <undefine@pld-linux.org> 14ab2e1
- argh. stupid distfiles

* Sun Nov 07 2004 undefine <undefine@pld-linux.org> d133a94
- initital pld version

